Bug 52941 - 'xdvi filename.tex' launches Netscape
'xdvi filename.tex' launches Netscape
Product: Red Hat Linux
Classification: Retired
Component: tetex (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-08-31 00:28 EDT by pdenis2
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-03 09:26:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Here is a part of the solution. But xdvi tries a browser as a last resort for MIME types it doesn't know anyway. (602 bytes, patch)
2001-09-03 09:26 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description pdenis2 2001-08-31 00:28:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.7-pre3.asl i686)

Description of problem:
If you *inadvertantly* try xdvi on a file with extension'tex' it launches

Version-Release number of selected component (if applicable):
tetex-xdvi-1.0.7-15 tetex-1.0.7-15

How reproducible:

Steps to Reproduce:
1. create a file named 'something.tex' [contents don't matter apparently,
try mv core core.tex]
2.  xdvi something.tex

Actual Results:  msg: Could not open dvi file. Exiting. [That's OK, its not
a dvi file ]
Then Netscape opens with "couldn't find file 'something.tex'

Expected Results:  Just the error msg., please.

Additional info:

This is hilarious, but it had me questioning my sanity.  
Something in mime-types or mailcap, maybe? Same results under KDE/Gnome.

If it's an enhancement to xdvi, please un-enhance.

[I know: Doctor it hurts when I...Don't do that]
Comment 1 Tim Waugh 2001-09-03 08:45:42 EDT
It's no enhancement. :-)

Looks like a bug in the MIME handling, along with a couple of incorrect 
settings in the default texmf.cnf.
Comment 2 Tim Waugh 2001-09-03 09:26:15 EDT
Created attachment 30694 [details]
Here is a part of the solution.  But xdvi tries a browser as a last resort for MIME types it doesn't know anyway.
Comment 3 Tim Waugh 2001-09-26 09:04:17 EDT
I think this is (for some reason) intentional behaviour, judging from the code.

Note You need to log in before you can comment on or make changes to this bug.